<CsoundSynthesizer>

<CsOptions>
-W -o Amstd_Reedy_Pluck.wav 
</CsOptions>

<CsScore>
; GEN functions 
; waveform
f11 0  1024  10  .4 .3 .35 .5 .1 .2 .15 0 .02 .05 .03  ;  complex waveform
                                             ;  with 10 weighted harmonics
; envelopes
f31 0  512   7  0 86  1    85 .8  85  .6 85 .7 85 .6 86 0
f32 0  512   7  0 86   .7  85 .8  85 1   85 .5 85 .5 86 0
f33 0  512  -7  0  1   .6 109 .9 150  .7 100 .8 80 .6 72 0
f34 0  512  -7  0  1   .5 209 .6 230  .5 72 0 ; <minus> inhibits rescaling
f35 0  512  -7  0  1   .6  19 .9 300 .3 192 0
f36 0  512  -7  0  1   .5  39 .8 260 .2 212 0

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	2 	3277 	 	46.249303 	 	31
i1 	0.5 	2 	3277 	 	92.498606 	 	31
i1 	1 	2 	3277 	 	138.747909 	 	31
i1 	1.5 	2 	3277 	 	184.997211 	 	31
i1 	2 	2 	3277 	 	231.246514 	 	31
i1 	2.5 	2 	3277 	 	277.495817 	 	31
i1 	3 	2 	3277 	 	323.74512 	 	31
i1 	3.5 	2 	3277 	 	369.994423 	 	31
i1 	4 	2 	3277 	 	416.243726 	 	31
i1 	4.5 	2 	3277 	 	462.493028 	 	31
i1 	5 	2 	3277 	 	508.742331 	 	31
i1 	5.5 	2 	3277 	 	554.991634 	 	31
i1 	6 	2 	3277 	 	601.240937 	 	31
i1 	6.5 	1.5 	3277 	 	647.49024 	 	31
i1 	7 	1 	3277 	 	693.739543 	 	31
i1 	7.5 	0.5 	3277 	 	739.988845 	 	31
;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;; can recognise these as test notes, rather than initialisation type notes, and leave them out
;
</CsScore>

<CsInstrumentToPlay>
i1 AMP CPS F31 ; Try F31 to F36 for the function table - changes timbre
</CsInstrumentToPlay>

<CsInstruments>
; ACCCI:     01_01_2A.ORC
; timbre:    from reed towards plucked chord, effect of changing envelopes
; synthesis: simple(01), basic instrument(01)
; source:    #250 Reedy and Plucked Tones, Choral Effect, Risset(1969)
; coded:     jpg 8/93;.CSI (CSound Instrument) file format:

instr 1
idur  =  p3
iamp  =  p4
ifq1  =  p5
if2   =  p6 ; controlling timbre with different envelopes

         a2     oscili   iamp, 1/idur, if2
         a1     oscili   a2,   ifq1,   11   ; 11 = complex weighted
       out         a1
endin
</CsInstruments>

</CsoundSynthesizer>
