<CsoundSynthesizer>

<CsOptions>
-W -o For_FTS_Cubic_Splines.wav 
</CsOptions>

<CsScore>
; in auto mode the function table numbers here get automatically incremented 
; so that each intrument in the orchestra has its own unique function tables

f1 0 131073 6 0 16384 0.5 16384 1 16384 0.5 16384 0 16384 -0.5 16384 -1 16384 -0.5 16384 0

; cubic splines with maxima at (points of inflection in square brackets)
; 0 [0.5] 1 [0.5] 0 [-0.5] -1 [0.5] 0
; Has same area above and below so suitable for use as a waveform table.

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	2 	3277 	 	46.249303 	 	0.05 	 	50 	
i1 	0.5 	2 	3277 	 	92.498606 	 	0.05 	 	50 	
i1 	1 	2 	3277 	 	138.747909 	 	0.05 	 	50 	
i1 	1.5 	2 	3277 	 	184.997211 	 	0.05 	 	50 	
i1 	2 	2 	3277 	 	231.246514 	 	0.05 	 	50 	
i1 	2.5 	2 	3277 	 	277.495817 	 	0.05 	 	50 	
i1 	3 	2 	3277 	 	323.74512 	 	0.05 	 	50 	
i1 	3.5 	2 	3277 	 	369.994423 	 	0.05 	 	50 	
i1 	4 	2 	3277 	 	416.243726 	 	0.05 	 	50 	
i1 	4.5 	2 	3277 	 	462.493028 	 	0.05 	 	50 	
i1 	5 	2 	3277 	 	508.742331 	 	0.05 	 	50 	
i1 	5.5 	2 	3277 	 	554.991634 	 	0.05 	 	50 	
i1 	6 	2 	3277 	 	601.240937 	 	0.05 	 	50 	
i1 	6.5 	2 	3277 	 	647.49024 	 	0.05 	 	50 	
i1 	7 	2 	3277 	 	693.739543 	 	0.05 	 	50 	
i1 	7.5 	2 	3277 	 	739.988845 	 	0.05 	 	50 	
i1 	8 	2 	3277 	 	786.238148 	 	0.05 	 	50 	
i1 	8.5 	2 	3277 	 	832.487451 	 	0.05 	 	50 	
i1 	9 	2 	3277 	 	878.736754 	 	0.05 	 	50 	
i1 	9.5 	2 	3277 	 	924.986057 	 	0.05 	 	50 	
i1 	10 	2 	3277 	 	971.23536 	 	0.05 	 	50 	
i1 	10.5 	1.5 	3277 	 	1017.484662 	 	0.05 	 	50 	
i1 	11 	1 	3277 	 	1063.733965 	 	0.05 	 	50 	
i1 	11.5 	0.5 	3277 	 	1109.983268 	 	0.05 	 	50 	
;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;; can recognise these as test notes, rather than initialisation type notes, and leave them out
;
</CsScore>

<CsInstrumentToPlay>
; List suitable parameters for the instrument to play
;
;Use AMP or DB or VEL (for midi velocity) for amplitude parameters
;Use CPS, PCH, OCT, MIDI or  eg. PCH31 (for 31-et notation) for frequency parameters
;These can also be used in formulae e.g. CPS/10 Do the formulae with no spaces
;so that they can be recognised as a single parametere
;
;Prefix function table arguments  with F 
;
i1 AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length
</CsInstrumentToPlay>

<CsPitchBendGlides>
* ; Add an * here to show that it responds to pitch bend glides when auto converted into a midi instrument for CSoundAV (can be done
in FTS)
</CsPitchBendGlides>

<CsInstruments>

instr 1

; This plays function table 1 with rise and decay

; args: AMP CPS 10.0 50.0 ; rise proportion (as percentage of total duration), decay proportion,

iduration  = p3
iamplitude  = p4
kp5=p5
kfrequency  = kp5
irise = p6
idecaypercent = p7

idecay = iduration*idecaypercent/100

kenv linen iamplitude, irise, iduration, idecay
audio oscil kenv, kfrequency, 1 ; function table 1
   out audio
endin
</CsInstruments>

</CsoundSynthesizer>
