<CsoundSynthesizer>

<CsOptions>
-W -o For_FTS_sin^3_harmonics_Rounded_Square.wav 
</CsOptions>

<CsScore>

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	2 	3277 	 	46.249303 	 	0.05 	 	50 	
i1 	0.5 	2 	3277 	 	92.498606 	 	0.05 	 	50 	
i1 	1 	2 	3277 	 	138.747909 	 	0.05 	 	50 	
i1 	1.5 	2 	3277 	 	184.997211 	 	0.05 	 	50 	
i1 	2 	2 	3277 	 	231.246514 	 	0.05 	 	50 	
i1 	2.5 	2 	3277 	 	277.495817 	 	0.05 	 	50 	
i1 	3 	2 	3277 	 	323.74512 	 	0.05 	 	50 	
i1 	3.5 	2 	3277 	 	369.994423 	 	0.05 	 	50 	
i1 	4 	2 	3277 	 	416.243726 	 	0.05 	 	50 	
i1 	4.5 	2 	3277 	 	462.493028 	 	0.05 	 	50 	
i1 	5 	2 	3277 	 	508.742331 	 	0.05 	 	50 	
i1 	5.5 	2 	3277 	 	554.991634 	 	0.05 	 	50 	
i1 	6 	2 	3277 	 	601.240937 	 	0.05 	 	50 	
i1 	6.5 	2 	3277 	 	647.49024 	 	0.05 	 	50 	
i1 	7 	2 	3277 	 	693.739543 	 	0.05 	 	50 	
i1 	7.5 	2 	3277 	 	739.988845 	 	0.05 	 	50 	
i1 	8 	2 	3277 	 	786.238148 	 	0.05 	 	50 	
i1 	8.5 	2 	3277 	 	832.487451 	 	0.05 	 	50 	
i1 	9 	2 	3277 	 	878.736754 	 	0.05 	 	50 	
i1 	9.5 	2 	3277 	 	924.986057 	 	0.05 	 	50 	
i1 	10 	2 	3277 	 	971.23536 	 	0.05 	 	50 	
i1 	10.5 	1.5 	3277 	 	1017.484662 	 	0.05 	 	50 	
i1 	11 	1 	3277 	 	1063.733965 	 	0.05 	 	50 	
i1 	11.5 	0.5 	3277 	 	1109.983268 	 	0.05 	 	50 	
;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;; can recognise these as test notes, rather than initialisation type notes, and leave them out
;
</CsScore>

<CsInstrumentToPlay>
i1 AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length
</CsInstrumentToPlay>

<CsGlobals>
 
ksmps = 1 ; Set the control rate to the audio rate. Modern computers are fast enough to control at audio rate
; This is needed to generate the sine curve at audio rate directly. When this instrument is used
; all the instruments in the orchestra will control at audio rate. Preset is 1/10th of audio rate.
</CsGlobals>


<CsPitchBendGlides>
* ; Add an * here to show that it responds to pitch bend glides when auto converted into a midi instrument for CSoundAV (can be done
in Fractal Tune Smitny)
</CsPitchBendGlides>

<CsInstruments>

instr 1

iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5
ifrequency  = p5

irise = p6
idecaypercent = p7

asamples init 0
atime=asamples/sr
asamples = asamples+1

itwopi=3.14159265*2

ipio2 = 3.14159265/2

angle=atime*itwopi

idecay = iduration*idecaypercent/100
kenv linen iamplitude, irise, iduration, idecay

kpamp=0.5
kpfreq=1;
a1 =kenv*kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) ; first harmonic
   out a1

a1 = kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1
kpfreq=2
a1 =a1 + kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle)))

kpamp=1/2
kpfreq=3
a1 =a1 + kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 

kpamp=1/4
kpfreq=4
a1 =a1 + kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/8
kpfreq=5
a1 =a1 + kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/16
kpfreq=6
a1 =a1 + kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 
kpamp=1/32
kpfreq=7
a1 =a1 + kpamp * sin(ipio2*sin(ipio2*sin(kpfreq*kfrequency*angle))) 

endin
</CsInstruments>

</CsoundSynthesizer>
