<CsoundSynthesizer>
	
<CsOptions>
-W -o PhISEM_sleighbells.wav 
</CsOptions>

<CsScore>
; The Phisem Sleighbells seems to not play the first note sounded

;; To cope with that we use the instrument itself to initialise itself
;; This shows how to instruct FTS to add the instrument itself as an initialisation instrument
;; - and to start the CSound score after the end of an initialisation time period.
;; N.B. double ;; comments get left out of the final score

; The note we want to play before everything else (won't sound for the Phisem Sleighbells):
i1 	0 	0.01 	25801	 	0.01 	 	32 	 	75 	 	0 	 	1046.502261 	 	2218.584794 	 	2720.905879 	 	0 	; Part 1 PhISEM sleighbells Midi note 60 (1/1) vel 100 Pan 0

;; This line says to start the time count for the rest of the score at 0.2 secs:

;;tstart= 0.02

;; Normally the initialisation section ends at the first i instruction found in it. This says to stop
;; here instead, and permits i instructions to occur in the initialisation section of the score.
;;EndInline

</CsScore>

<CsInstrumentToPlay>
i1 AMP 0.01 32 75 0 CPS*4 CPS*4*53/25 CPS*4*13/5
; Duration, number of objects, damping percent, energy to feed back range 0 to 1, main resonant frequency, first resonant frequency, Amplitude is randomised
</CsInstrumentToPlay>

<CsInstruments>
instr 1  

kamp = p4
idettack = p5 ;period of time over which all sound is stopped 
inum = p6 ; The number of beads, teeth, bells, timbrels, etc. If zero, the default value is 32
idamp =p7*0.03/100; damping range 0 to 0.03
imaxshake = p8 ; amount of energy to add back into the system. The value should be in range 0 to 1
ifreq = p9; the main resonant frequency. The default value is 2500
ifreq1 = p10 the first resonant frequency. The default value is 5300. 
ifreq2 = p11 the second resonant frequency. The default value is 6500. 

ar sleighbells kamp, idettack , inum , idamp , imaxshake , ifreq, ifreq1, ifreq2

out ar
endin
</CsInstruments>

</CsoundSynthesizer>
